within ;
model BBcca1
  Modelica.Mechanics.Translational.Components.Mass mass(
    m=1,
    s(start=10, fixed=true),
    v(start=0, fixed=true))
    annotation (Placement(transformation(extent={{-28,30},{-8,50}})));
  Modelica.Mechanics.Translational.Components.ElastoGap elastoGap(c=1e6, d=500)
    annotation (Placement(transformation(extent={{20,30},{0,50}})));
  Modelica.Mechanics.Translational.Components.Fixed fixed annotation (Placement(
        transformation(
        extent={{-10,10},{10,-10}},
        rotation=-90,
        origin={30,40})));
  ArgesimLib.AirResistance1d airResistance1
    annotation (Placement(transformation(extent={{-68,58},{-48,78}})));
  ArgesimLib.Gravity1d gravity
    annotation (Placement(transformation(extent={{-68,30},{-48,50}})));
equation
  connect(elastoGap.flange_a, fixed.flange)
    annotation (Line(points={{20,40},{30,40}}, color={0,127,0}));
  connect(mass.flange_b, elastoGap.flange_b)
    annotation (Line(points={{-8,40},{0,40}}, color={0,127,0}));
  connect(gravity.flange, mass.flange_a)
    annotation (Line(points={{-48,40},{-28,40}}, color={0,127,0}));
  connect(airResistance1.flange, mass.flange_a) annotation (Line(points={{-48,
          68},{-36,68},{-36,40},{-28,40}}, color={0,127,0}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=10, __Dymola_NumberOfIntervals=2000));
end BBcca1;
