within ;
model BBccm1
  Modelica.Mechanics.Translational.Components.Mass mass(
    m=1,
    s(start=10, fixed=true),
    v(start=0, fixed=true))
    annotation (Placement(transformation(extent={{-28,30},{-8,50}})));
  Modelica.Mechanics.Translational.Components.Fixed fixed annotation (Placement(
        transformation(
        extent={{-10,10},{10,-10}},
        rotation=-90,
        origin={30,40})));
  ArgesimLib.AirResistance1d airResistance1(beta=2.3e-4)
    annotation (Placement(transformation(extent={{-68,58},{-48,78}})));
  ArgesimLib.Gravity1d gravity(g=3.69)
    annotation (Placement(transformation(extent={{-68,30},{-48,50}})));
  ArgesimLib.ElastoGap elastoGap1
    annotation (Placement(transformation(extent={{22,30},{2,50}})));
equation
  connect(gravity.flange, mass.flange_a)
    annotation (Line(points={{-48,40},{-28,40}}, color={0,127,0}));
  connect(elastoGap1.flange_a, fixed.flange)
    annotation (Line(points={{22,40},{30,40}}, color={0,127,0}));
  connect(mass.flange_b, elastoGap1.flange_b)
    annotation (Line(points={{-8,40},{2,40}}, color={0,127,0}));
  connect(airResistance1.flange, mass.flange_a) annotation (Line(points={{-48,
          68},{-36,68},{-36,40},{-28,40}}, color={0,127,0}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=10, __Dymola_NumberOfIntervals=2000));
end BBccm1;
