within ;
model BBeva3
  ArgesimLib.Gravity1d gravity1d
    annotation (Placement(transformation(extent={{-74,40},{-54,60}})));
  Modelica.Mechanics.Translational.Components.Mass mass(
    m=1,
    s(start=10, fixed=true),
    v(start=0, fixed=true))
    annotation (Placement(transformation(extent={{-44,40},{-24,60}})));
  ArgesimLib.AirResistance1d airResistance1d
    annotation (Placement(transformation(extent={{-74,64},{-54,84}})));
  ArgesimLib.Hardstop1dC hardstop1dC(stopHeight=1e-4)
    annotation (Placement(transformation(extent={{-18,40},{2,60}})));
equation
  connect(gravity1d.flange, mass.flange_a)
    annotation (Line(points={{-54,50},{-44,50}}, color={0,127,0}));
  connect(airResistance1d.flange, mass.flange_a) annotation (Line(points={{-54,74},
          {-48,74},{-48,50},{-44,50}},     color={0,127,0}));
  connect(mass.flange_b, hardstop1dC.flange_a)
    annotation (Line(points={{-24,50},{-18,50}}, color={0,127,0}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(
      StopTime=30,
      __Dymola_NumberOfIntervals=5000,
      Tolerance=1e-05));
end BBeva3;
